Subject: Re: [PATCH v2 0/3] nd/clear-gitenv-upon-use-of-alias

From: Junio C Hamano <[email-masked]>
Date: Tue, 22 Dec 2015 10:13:03 -0800

Duy Nguyen <[email-masked]> writes:

> On Tue, Dec 22, 2015 at 5:57 PM, Duy Nguyen <[email-masked]> wrote:
>> On Tue, Dec 22, 2015 at 4:18 AM, Junio C Hamano <[email-masked]> wrote:
>>> Thanks.  I wiggled these three on top of the "Revert the earlier
>>> one"; while I think the result is correct, I'd appreciate if you can
>>> double check the result when I push the topic out later today.
>>
>> Looks good. "prove" passed too by the way.
>
> Another by the way, this "forcing aliases as external commands" now
> shows something like "error: git-log died of signal 13" when the pager
> exits early, for an alias like "l1 = log --oneline".

... and we do not show that when we directly call "git log" is...?

We do signal this with non-zero exit status like so:

	$ GIT_PAGER=true git log --oneline ; echo $?
        141

and it is not surprising that the one that is catching the exit
status of what was spawned and reporting "signal 13".